R_CREATE_EXCLUSIVE_FILE(3)

EXPERIMENTAL_FUNC
r_create_exclusive_file - Exclusively create a file (typically for locking purposes).

SYNOPSIS
#include <karma_r.h>

flag r_create_exclusive_file

(CONST char *filename, flag do_wait)

DESCRIPTION
This routine will create a file, guaranteeing that no other process (on any machine) created the file.

filename
    The name of the file to create.

do_wait
    If TRUE, the routine will wait until the file is created, or a failure occurs.

RETURN VALUE
TRUE if the file was created exclusively by the process, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/